<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbAccountGroupTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_account_group', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_ag_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('group_id', 'fk_ag_grp')->references('id')->on('ab_group')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_account_group', function(Blueprint $table)
		{
			$table->dropForeign('fk_ag_acc');
			$table->dropForeign('fk_ag_grp');
		});
	}

}
